Package com.google.protobuf

# Class DescriptorProtos.FileOptions.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>
com.google.protobuf.DescriptorProtos.FileOptions.Builder

All Implemented Interfaces:
  `DescriptorProtos.FileOptionsOrBuilder`, `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  DescriptorProtos.FileOptions

public static final class DescriptorProtos.FileOptions.Builder extends GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder> implements DescriptorProtos.FileOptionsOrBuilder
Protobuf type `google.protobuf.FileOptions`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FileOptions.Builder`
`addAllUninterpretedOption(Iterable<? extends DescriptorProtos.UninterpretedOption> values)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FileOptions.Builder`
`addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FileOptions.Builder`
`addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FileOptions.Builder`
`addUninterpretedOption(DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FileOptions.Builder`
`addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addUninterpretedOptionBuilder()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addUninterpretedOptionBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FileOptions`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.FileOptions`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.FileOptions.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.FileOptions.Builder`
`clearCcEnableArenas()`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`DescriptorProtos.FileOptions.Builder`
`clearCcGenericServices()`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`clearCsharpNamespace()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`clearDeprecated()`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`DescriptorProtos.FileOptions.Builder`
`clearGoPackage()`
`optional string go_package = 11 [json_name = "goPackage"];`
`DescriptorProtos.FileOptions.Builder`
`clearJavaGenerateEqualsAndHash()`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`DescriptorProtos.FileOptions.Builder`
`clearJavaGenericServices()`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`clearJavaMultipleFiles()`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`DescriptorProtos.FileOptions.Builder`
`clearJavaOuterClassname()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`DescriptorProtos.FileOptions.Builder`
`clearJavaPackage()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`DescriptorProtos.FileOptions.Builder`
`clearJavaStringCheckUtf8()`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`DescriptorProtos.FileOptions.Builder`
`clearObjcClassPrefix()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`clearOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`DescriptorProtos.FileOptions.Builder`
`clearPhpClassPrefix()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`clearPhpGenericServices()`
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`clearPhpMetadataNamespace()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`clearPhpNamespace()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`clearPyGenericServices()`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`clearRubyPackage()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`DescriptorProtos.FileOptions.Builder`
`clearSwiftPrefix()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`clearUninterpretedOption()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`getCcEnableArenas()`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`boolean`
`getCcGenericServices()`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`String`
`getCsharpNamespace()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`ByteString`
`getCsharpNamespaceBytes()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`DescriptorProtos.FileOptions`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`boolean`
`getDeprecated()`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getGoPackage()`
`optional string go_package = 11 [json_name = "goPackage"];`
`ByteString`
`getGoPackageBytes()`
`optional string go_package = 11 [json_name = "goPackage"];`
`boolean`
`getJavaGenerateEqualsAndHash()`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`boolean`
`getJavaGenericServices()`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`boolean`
`getJavaMultipleFiles()`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`String`
`getJavaOuterClassname()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`ByteString`
`getJavaOuterClassnameBytes()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`String`
`getJavaPackage()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`ByteString`
`getJavaPackageBytes()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`boolean`
`getJavaStringCheckUtf8()`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`String`
`getObjcClassPrefix()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`ByteString`
`getObjcClassPrefixBytes()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`DescriptorProtos.FileOptions.OptimizeMode`
`getOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`String`
`getPhpClassPrefix()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`ByteString`
`getPhpClassPrefixBytes()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`boolean`
`getPhpGenericServices()`
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`
`String`
`getPhpMetadataNamespace()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`ByteString`
`getPhpMetadataNamespaceBytes()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`String`
`getPhpNamespace()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`ByteString`
`getPhpNamespaceBytes()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`boolean`
`getPyGenericServices()`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`String`
`getRubyPackage()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`ByteString`
`getRubyPackageBytes()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`String`
`getSwiftPrefix()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`ByteString`
`getSwiftPrefixBytes()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`getUninterpretedOptionBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption.Builder>`
`getUninterpretedOptionBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`hasCcEnableArenas()`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`boolean`
`hasCcGenericServices()`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`boolean`
`hasCsharpNamespace()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`boolean`
`hasGoPackage()`
`optional string go_package = 11 [json_name = "goPackage"];`
`boolean`
`hasJavaGenerateEqualsAndHash()`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`boolean`
`hasJavaGenericServices()`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`boolean`
`hasJavaMultipleFiles()`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`boolean`
`hasJavaOuterClassname()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`boolean`
`hasJavaPackage()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`boolean`
`hasJavaStringCheckUtf8()`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`boolean`
`hasObjcClassPrefix()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`boolean`
`hasOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`boolean`
`hasPhpClassPrefix()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`boolean`
`hasPhpGenericServices()`
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`
`boolean`
`hasPhpMetadataNamespace()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`boolean`
`hasPhpNamespace()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`boolean`
`hasPyGenericServices()`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`boolean`
`hasRubyPackage()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`boolean`
`hasSwiftPrefix()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.FileOptions.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.FileOptions.Builder`
`mergeFrom(DescriptorProtos.FileOptions other)`
`DescriptorProtos.FileOptions.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`final DescriptorProtos.FileOptions.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`DescriptorProtos.FileOptions.Builder`
`removeUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FileOptions.Builder`
`setCcEnableArenas(boolean value)`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`DescriptorProtos.FileOptions.Builder`
`setCcGenericServices(boolean value)`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`setCsharpNamespace(String value)`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`setCsharpNamespaceBytes(ByteString value)`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`setDeprecated(boolean value)`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`DescriptorProtos.FileOptions.Builder`
`setGoPackage(String value)`
`optional string go_package = 11 [json_name = "goPackage"];`
`DescriptorProtos.FileOptions.Builder`
`setGoPackageBytes(ByteString value)`
`optional string go_package = 11 [json_name = "goPackage"];`
`DescriptorProtos.FileOptions.Builder`
`setJavaGenerateEqualsAndHash(boolean value)`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`DescriptorProtos.FileOptions.Builder`
`setJavaGenericServices(boolean value)`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`setJavaMultipleFiles(boolean value)`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`DescriptorProtos.FileOptions.Builder`
`setJavaOuterClassname(String value)`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`DescriptorProtos.FileOptions.Builder`
`setJavaOuterClassnameBytes(ByteString value)`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`DescriptorProtos.FileOptions.Builder`
`setJavaPackage(String value)`
`optional string java_package = 1 [json_name = "javaPackage"];`
`DescriptorProtos.FileOptions.Builder`
`setJavaPackageBytes(ByteString value)`
`optional string java_package = 1 [json_name = "javaPackage"];`
`DescriptorProtos.FileOptions.Builder`
`setJavaStringCheckUtf8(boolean value)`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`DescriptorProtos.FileOptions.Builder`
`setObjcClassPrefix(String value)`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`setObjcClassPrefixBytes(ByteString value)`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`setOptimizeFor(DescriptorProtos.FileOptions.OptimizeMode value)`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`DescriptorProtos.FileOptions.Builder`
`setPhpClassPrefix(String value)`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`setPhpClassPrefixBytes(ByteString value)`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`setPhpGenericServices(boolean value)`
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`setPhpMetadataNamespace(String value)`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`setPhpMetadataNamespaceBytes(ByteString value)`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`setPhpNamespace(String value)`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`setPhpNamespaceBytes(ByteString value)`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`DescriptorProtos.FileOptions.Builder`
`setPyGenericServices(boolean value)`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`DescriptorProtos.FileOptions.Builder`
`setRubyPackage(String value)`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`DescriptorProtos.FileOptions.Builder`
`setRubyPackageBytes(ByteString value)`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`DescriptorProtos.FileOptions.Builder`
`setSwiftPrefix(String value)`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`setSwiftPrefixBytes(ByteString value)`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`DescriptorProtos.FileOptions.Builder`
`setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FileOptions.Builder`
`setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`final DescriptorProtos.FileOptions.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.ExtendableBuilder

`addExtension, addExtension, addExtension, addRepeatedField, clearExtension, clearExtension, clearExtension, clearField, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, getField, getFieldBuilder, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, hasExtension, hasExtension, hasExtension, hasField, mergeExtensionFields, newBuilderForField, parseUnknownField, setExtension, setExtension, setExtension, setExtension, setExtension, setExtension, setField, setRepeatedField`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`clearOneof, clone, getOneofFieldDescriptor, getParentForChildren, getUnknownFields, getUnknownFieldSetBuilder, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, onBuilt, onChanged, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

`getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`

### clear

public DescriptorProtos.FileOptions.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.FileOptions getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>`
Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.FileOptions build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.FileOptions buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.FileOptions.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileOptions.Builder>`

### mergeFrom

public DescriptorProtos.FileOptions.Builder mergeFrom(DescriptorProtos.FileOptions other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.FileOptions,DescriptorProtos.FileOptions.Builder>`

### mergeFrom

public DescriptorProtos.FileOptions.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileOptions.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### hasJavaPackage

public boolean hasJavaPackage()
`optional string java_package = 1 [json_name = "javaPackage"];`

Specified by:
  `hasJavaPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaPackage field is set.

### getJavaPackage

public String getJavaPackage()
`optional string java_package = 1 [json_name = "javaPackage"];`

Specified by:
  `getJavaPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaPackage.

### getJavaPackageBytes

public ByteString getJavaPackageBytes()
`optional string java_package = 1 [json_name = "javaPackage"];`

Specified by:
  `getJavaPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for javaPackage.

### setJavaPackage

public DescriptorProtos.FileOptions.Builder setJavaPackage(String value)
`optional string java_package = 1 [json_name = "javaPackage"];`

Parameters:
  `value` - The javaPackage to set.
Returns:
  This builder for chaining.

### clearJavaPackage

public DescriptorProtos.FileOptions.Builder clearJavaPackage()
`optional string java_package = 1 [json_name = "javaPackage"];`

Returns:
  This builder for chaining.

### setJavaPackageBytes

public DescriptorProtos.FileOptions.Builder setJavaPackageBytes(ByteString value)
`optional string java_package = 1 [json_name = "javaPackage"];`

Parameters:
  `value` - The bytes for javaPackage to set.
Returns:
  This builder for chaining.

### hasJavaOuterClassname

public boolean hasJavaOuterClassname()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Specified by:
  `hasJavaOuterClassname` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaOuterClassname field is set.

### getJavaOuterClassname

public String getJavaOuterClassname()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Specified by:
  `getJavaOuterClassname` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaOuterClassname.

### getJavaOuterClassnameBytes

public ByteString getJavaOuterClassnameBytes()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Specified by:
  `getJavaOuterClassnameBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for javaOuterClassname.

### setJavaOuterClassname

public DescriptorProtos.FileOptions.Builder setJavaOuterClassname(String value)
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Parameters:
  `value` - The javaOuterClassname to set.
Returns:
  This builder for chaining.

### clearJavaOuterClassname

public DescriptorProtos.FileOptions.Builder clearJavaOuterClassname()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Returns:
  This builder for chaining.

### setJavaOuterClassnameBytes

public DescriptorProtos.FileOptions.Builder setJavaOuterClassnameBytes(ByteString value)
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Parameters:
  `value` - The bytes for javaOuterClassname to set.
Returns:
  This builder for chaining.

### hasJavaMultipleFiles

public boolean hasJavaMultipleFiles()
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Specified by:
  `hasJavaMultipleFiles` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaMultipleFiles field is set.

### getJavaMultipleFiles

public boolean getJavaMultipleFiles()
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Specified by:
  `getJavaMultipleFiles` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaMultipleFiles.

### setJavaMultipleFiles

public DescriptorProtos.FileOptions.Builder setJavaMultipleFiles(boolean value)
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Parameters:
  `value` - The javaMultipleFiles to set.
Returns:
  This builder for chaining.

### clearJavaMultipleFiles

public DescriptorProtos.FileOptions.Builder clearJavaMultipleFiles()
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Returns:
  This builder for chaining.

### hasJavaGenerateEqualsAndHash

@Deprecated public boolean hasJavaGenerateEqualsAndHash()
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Specified by:
  `hasJavaGenerateEqualsAndHash` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaGenerateEqualsAndHash field is set.

### getJavaGenerateEqualsAndHash

@Deprecated public boolean getJavaGenerateEqualsAndHash()
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Specified by:
  `getJavaGenerateEqualsAndHash` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaGenerateEqualsAndHash.

### setJavaGenerateEqualsAndHash

@Deprecated public DescriptorProtos.FileOptions.Builder setJavaGenerateEqualsAndHash(boolean value)
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Parameters:
  `value` - The javaGenerateEqualsAndHash to set.
Returns:
  This builder for chaining.

### clearJavaGenerateEqualsAndHash

@Deprecated public DescriptorProtos.FileOptions.Builder clearJavaGenerateEqualsAndHash()
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Returns:
  This builder for chaining.

### hasJavaStringCheckUtf8

public boolean hasJavaStringCheckUtf8()
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Specified by:
  `hasJavaStringCheckUtf8` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaStringCheckUtf8 field is set.

### getJavaStringCheckUtf8

public boolean getJavaStringCheckUtf8()
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Specified by:
  `getJavaStringCheckUtf8` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaStringCheckUtf8.

### setJavaStringCheckUtf8

public DescriptorProtos.FileOptions.Builder setJavaStringCheckUtf8(boolean value)
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Parameters:
  `value` - The javaStringCheckUtf8 to set.
Returns:
  This builder for chaining.

### clearJavaStringCheckUtf8

public DescriptorProtos.FileOptions.Builder clearJavaStringCheckUtf8()
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Returns:
  This builder for chaining.

### hasOptimizeFor

public boolean hasOptimizeFor()
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Specified by:
  `hasOptimizeFor` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the optimizeFor field is set.

### getOptimizeFor

public DescriptorProtos.FileOptions.OptimizeMode getOptimizeFor()
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Specified by:
  `getOptimizeFor` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The optimizeFor.

### setOptimizeFor

public DescriptorProtos.FileOptions.Builder setOptimizeFor(DescriptorProtos.FileOptions.OptimizeMode value)
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Parameters:
  `value` - The optimizeFor to set.
Returns:
  This builder for chaining.

### clearOptimizeFor

public DescriptorProtos.FileOptions.Builder clearOptimizeFor()
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Returns:
  This builder for chaining.

### hasGoPackage

public boolean hasGoPackage()
`optional string go_package = 11 [json_name = "goPackage"];`

Specified by:
  `hasGoPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the goPackage field is set.

### getGoPackage

public String getGoPackage()
`optional string go_package = 11 [json_name = "goPackage"];`

Specified by:
  `getGoPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The goPackage.

### getGoPackageBytes

public ByteString getGoPackageBytes()
`optional string go_package = 11 [json_name = "goPackage"];`

Specified by:
  `getGoPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for goPackage.

### setGoPackage

public DescriptorProtos.FileOptions.Builder setGoPackage(String value)
`optional string go_package = 11 [json_name = "goPackage"];`

Parameters:
  `value` - The goPackage to set.
Returns:
  This builder for chaining.

### clearGoPackage

public DescriptorProtos.FileOptions.Builder clearGoPackage()
`optional string go_package = 11 [json_name = "goPackage"];`

Returns:
  This builder for chaining.

### setGoPackageBytes

public DescriptorProtos.FileOptions.Builder setGoPackageBytes(ByteString value)
`optional string go_package = 11 [json_name = "goPackage"];`

Parameters:
  `value` - The bytes for goPackage to set.
Returns:
  This builder for chaining.

### hasCcGenericServices

public boolean hasCcGenericServices()
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Specified by:
  `hasCcGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the ccGenericServices field is set.

### getCcGenericServices

public boolean getCcGenericServices()
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Specified by:
  `getCcGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The ccGenericServices.

### setCcGenericServices

public DescriptorProtos.FileOptions.Builder setCcGenericServices(boolean value)
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Parameters:
  `value` - The ccGenericServices to set.
Returns:
  This builder for chaining.

### clearCcGenericServices

public DescriptorProtos.FileOptions.Builder clearCcGenericServices()
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Returns:
  This builder for chaining.

### hasJavaGenericServices

public boolean hasJavaGenericServices()
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Specified by:
  `hasJavaGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the javaGenericServices field is set.

### getJavaGenericServices

public boolean getJavaGenericServices()
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Specified by:
  `getJavaGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The javaGenericServices.

### setJavaGenericServices

public DescriptorProtos.FileOptions.Builder setJavaGenericServices(boolean value)
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Parameters:
  `value` - The javaGenericServices to set.
Returns:
  This builder for chaining.

### clearJavaGenericServices

public DescriptorProtos.FileOptions.Builder clearJavaGenericServices()
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Returns:
  This builder for chaining.

### hasPyGenericServices

public boolean hasPyGenericServices()
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Specified by:
  `hasPyGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the pyGenericServices field is set.

### getPyGenericServices

public boolean getPyGenericServices()
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Specified by:
  `getPyGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The pyGenericServices.

### setPyGenericServices

public DescriptorProtos.FileOptions.Builder setPyGenericServices(boolean value)
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Parameters:
  `value` - The pyGenericServices to set.
Returns:
  This builder for chaining.

### clearPyGenericServices

public DescriptorProtos.FileOptions.Builder clearPyGenericServices()
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Returns:
  This builder for chaining.

### hasPhpGenericServices

public boolean hasPhpGenericServices()
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`

Specified by:
  `hasPhpGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpGenericServices field is set.

### getPhpGenericServices

public boolean getPhpGenericServices()
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`

Specified by:
  `getPhpGenericServices` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpGenericServices.

### setPhpGenericServices

public DescriptorProtos.FileOptions.Builder setPhpGenericServices(boolean value)
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`

Parameters:
  `value` - The phpGenericServices to set.
Returns:
  This builder for chaining.

### clearPhpGenericServices

public DescriptorProtos.FileOptions.Builder clearPhpGenericServices()
`optional bool php_generic_services = 42 [default = false, json_name = "phpGenericServices"];`

Returns:
  This builder for chaining.

### hasDeprecated

public boolean hasDeprecated()
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Specified by:
  `hasDeprecated` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the deprecated field is set.

### getDeprecated

public boolean getDeprecated()
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Specified by:
  `getDeprecated` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The deprecated.

### setDeprecated

public DescriptorProtos.FileOptions.Builder setDeprecated(boolean value)
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Parameters:
  `value` - The deprecated to set.
Returns:
  This builder for chaining.

### clearDeprecated

public DescriptorProtos.FileOptions.Builder clearDeprecated()
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Returns:
  This builder for chaining.

### hasCcEnableArenas

public boolean hasCcEnableArenas()
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Specified by:
  `hasCcEnableArenas` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the ccEnableArenas field is set.

### getCcEnableArenas

public boolean getCcEnableArenas()
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Specified by:
  `getCcEnableArenas` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The ccEnableArenas.

### setCcEnableArenas

public DescriptorProtos.FileOptions.Builder setCcEnableArenas(boolean value)
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Parameters:
  `value` - The ccEnableArenas to set.
Returns:
  This builder for chaining.

### clearCcEnableArenas

public DescriptorProtos.FileOptions.Builder clearCcEnableArenas()
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Returns:
  This builder for chaining.

### hasObjcClassPrefix

public boolean hasObjcClassPrefix()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Specified by:
  `hasObjcClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the objcClassPrefix field is set.

### getObjcClassPrefix

public String getObjcClassPrefix()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Specified by:
  `getObjcClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The objcClassPrefix.

### getObjcClassPrefixBytes

public ByteString getObjcClassPrefixBytes()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Specified by:
  `getObjcClassPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for objcClassPrefix.

### setObjcClassPrefix

public DescriptorProtos.FileOptions.Builder setObjcClassPrefix(String value)
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Parameters:
  `value` - The objcClassPrefix to set.
Returns:
  This builder for chaining.

### clearObjcClassPrefix

public DescriptorProtos.FileOptions.Builder clearObjcClassPrefix()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Returns:
  This builder for chaining.

### setObjcClassPrefixBytes

public DescriptorProtos.FileOptions.Builder setObjcClassPrefixBytes(ByteString value)
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Parameters:
  `value` - The bytes for objcClassPrefix to set.
Returns:
  This builder for chaining.

### hasCsharpNamespace

public boolean hasCsharpNamespace()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Specified by:
  `hasCsharpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the csharpNamespace field is set.

### getCsharpNamespace

public String getCsharpNamespace()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Specified by:
  `getCsharpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The csharpNamespace.

### getCsharpNamespaceBytes

public ByteString getCsharpNamespaceBytes()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Specified by:
  `getCsharpNamespaceBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for csharpNamespace.

### setCsharpNamespace

public DescriptorProtos.FileOptions.Builder setCsharpNamespace(String value)
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Parameters:
  `value` - The csharpNamespace to set.
Returns:
  This builder for chaining.

### clearCsharpNamespace

public DescriptorProtos.FileOptions.Builder clearCsharpNamespace()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Returns:
  This builder for chaining.

### setCsharpNamespaceBytes

public DescriptorProtos.FileOptions.Builder setCsharpNamespaceBytes(ByteString value)
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Parameters:
  `value` - The bytes for csharpNamespace to set.
Returns:
  This builder for chaining.

### hasSwiftPrefix

public boolean hasSwiftPrefix()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Specified by:
  `hasSwiftPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the swiftPrefix field is set.

### getSwiftPrefix

public String getSwiftPrefix()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Specified by:
  `getSwiftPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The swiftPrefix.

### getSwiftPrefixBytes

public ByteString getSwiftPrefixBytes()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Specified by:
  `getSwiftPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for swiftPrefix.

### setSwiftPrefix

public DescriptorProtos.FileOptions.Builder setSwiftPrefix(String value)
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Parameters:
  `value` - The swiftPrefix to set.
Returns:
  This builder for chaining.

### clearSwiftPrefix

public DescriptorProtos.FileOptions.Builder clearSwiftPrefix()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Returns:
  This builder for chaining.

### setSwiftPrefixBytes

public DescriptorProtos.FileOptions.Builder setSwiftPrefixBytes(ByteString value)
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Parameters:
  `value` - The bytes for swiftPrefix to set.
Returns:
  This builder for chaining.

### hasPhpClassPrefix

public boolean hasPhpClassPrefix()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Specified by:
  `hasPhpClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpClassPrefix field is set.

### getPhpClassPrefix

public String getPhpClassPrefix()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Specified by:
  `getPhpClassPrefix` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpClassPrefix.

### getPhpClassPrefixBytes

public ByteString getPhpClassPrefixBytes()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Specified by:
  `getPhpClassPrefixBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for phpClassPrefix.

### setPhpClassPrefix

public DescriptorProtos.FileOptions.Builder setPhpClassPrefix(String value)
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Parameters:
  `value` - The phpClassPrefix to set.
Returns:
  This builder for chaining.

### clearPhpClassPrefix

public DescriptorProtos.FileOptions.Builder clearPhpClassPrefix()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Returns:
  This builder for chaining.

### setPhpClassPrefixBytes

public DescriptorProtos.FileOptions.Builder setPhpClassPrefixBytes(ByteString value)
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Parameters:
  `value` - The bytes for phpClassPrefix to set.
Returns:
  This builder for chaining.

### hasPhpNamespace

public boolean hasPhpNamespace()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Specified by:
  `hasPhpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpNamespace field is set.

### getPhpNamespace

public String getPhpNamespace()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Specified by:
  `getPhpNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpNamespace.

### getPhpNamespaceBytes

public ByteString getPhpNamespaceBytes()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Specified by:
  `getPhpNamespaceBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for phpNamespace.

### setPhpNamespace

public DescriptorProtos.FileOptions.Builder setPhpNamespace(String value)
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Parameters:
  `value` - The phpNamespace to set.
Returns:
  This builder for chaining.

### clearPhpNamespace

public DescriptorProtos.FileOptions.Builder clearPhpNamespace()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Returns:
  This builder for chaining.

### setPhpNamespaceBytes

public DescriptorProtos.FileOptions.Builder setPhpNamespaceBytes(ByteString value)
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Parameters:
  `value` - The bytes for phpNamespace to set.
Returns:
  This builder for chaining.

### hasPhpMetadataNamespace

public boolean hasPhpMetadataNamespace()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Specified by:
  `hasPhpMetadataNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the phpMetadataNamespace field is set.

### getPhpMetadataNamespace

public String getPhpMetadataNamespace()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Specified by:
  `getPhpMetadataNamespace` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The phpMetadataNamespace.

### getPhpMetadataNamespaceBytes

public ByteString getPhpMetadataNamespaceBytes()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Specified by:
  `getPhpMetadataNamespaceBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for phpMetadataNamespace.

### setPhpMetadataNamespace

public DescriptorProtos.FileOptions.Builder setPhpMetadataNamespace(String value)
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Parameters:
  `value` - The phpMetadataNamespace to set.
Returns:
  This builder for chaining.

### clearPhpMetadataNamespace

public DescriptorProtos.FileOptions.Builder clearPhpMetadataNamespace()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Returns:
  This builder for chaining.

### setPhpMetadataNamespaceBytes

public DescriptorProtos.FileOptions.Builder setPhpMetadataNamespaceBytes(ByteString value)
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Parameters:
  `value` - The bytes for phpMetadataNamespace to set.
Returns:
  This builder for chaining.

### hasRubyPackage

public boolean hasRubyPackage()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Specified by:
  `hasRubyPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  Whether the rubyPackage field is set.

### getRubyPackage

public String getRubyPackage()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Specified by:
  `getRubyPackage` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The rubyPackage.

### getRubyPackageBytes

public ByteString getRubyPackageBytes()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Specified by:
  `getRubyPackageBytes` in interface `DescriptorProtos.FileOptionsOrBuilder`
Returns:
  The bytes for rubyPackage.

### setRubyPackage

public DescriptorProtos.FileOptions.Builder setRubyPackage(String value)
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Parameters:
  `value` - The rubyPackage to set.
Returns:
  This builder for chaining.

### clearRubyPackage

public DescriptorProtos.FileOptions.Builder clearRubyPackage()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Returns:
  This builder for chaining.

### setRubyPackageBytes

public DescriptorProtos.FileOptions.Builder setRubyPackageBytes(ByteString value)
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Parameters:
  `value` - The bytes for rubyPackage to set.
Returns:
  This builder for chaining.

### getUninterpretedOptionList

public List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionList` in interface `DescriptorProtos.FileOptionsOrBuilder`

### getUninterpretedOptionCount

public int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionCount` in interface `DescriptorProtos.FileOptionsOrBuilder`

### getUninterpretedOption

public DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOption` in interface `DescriptorProtos.FileOptionsOrBuilder`

### setUninterpretedOption

public DescriptorProtos.FileOptions.Builder setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### setUninterpretedOption

public DescriptorProtos.FileOptions.Builder setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FileOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FileOptions.Builder addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FileOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FileOptions.Builder addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addAllUninterpretedOption

public DescriptorProtos.FileOptions.Builder addAllUninterpretedOption(Iterable<? extends DescriptorProtos.UninterpretedOption> values)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### clearUninterpretedOption

public DescriptorProtos.FileOptions.Builder clearUninterpretedOption()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### removeUninterpretedOption

public DescriptorProtos.FileOptions.Builder removeUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder getUninterpretedOptionBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.FileOptionsOrBuilder`

### getUninterpretedOptionOrBuilderList

public List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.FileOptionsOrBuilder`

### addUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionBuilderList

public List<DescriptorProtos.UninterpretedOption.Builder> getUninterpretedOptionBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### setUnknownFields

public final DescriptorProtos.FileOptions.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`

### mergeUnknownFields

public final DescriptorProtos.FileOptions.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileOptions.Builder>`